/* Multi frame ratio imaging using EEV37 CCD */

script_begin( );
shutter_open( );
loop_begin( 200 );                  /* 100 image pairs-200 total loops        */
  clear_parallel( 4 );              /* CCD A&C: ensure chip is cleared out    */
  clear_until_trig( );              /* clear until experiment is ready        */
  expose( 100 );                    /* CCD B&D: expose with this filter       */
  shift_image_to_storage( );        /* takes about 1.23 ms, shift under mask  */

  shift_mode_s( )                   /* CCD C&E readout                        */
  shift( 37 );                      /* move Rgn 1 up to the serial register   */
  pixel_readout( 300,101,1,21,1 );  /* s1:s2 of 300:400 is 101 total pixels   */
  pixel_display(     101,  21   );  /* the actual size of that region         */
  pixel_readout( 175,146,1,265,1 ); /* Rgn 2 is already at serial register    */
  pixel_display(     146,  265   );

  shift( 9 );                       /* move Rgn 3 up to serial register       */
  pixel_readout( 380,61,1,265,1 );
  pixel_display(     61,  265   );
loop_end( );
shutter_close( );
script_end( 1 );
