/* 2 frame ratio imaging using EEV37 CCD */

script begin( );
shutter_open( );           /* STEP 1: light is now falling on the CCD        */
clear parallel( 2 );       /*         make sure this chip is cleared out     */
clear_until_trig( );       /*         clear until the experiment is ready    */

expose( 10 );              /* STEP 4: take a 10 millisecond exposure         */
shift_image_to_storage( ); /*         store picture in the storage array     */

flash( 10 );               /* STEP 5: a 10 ms exposure, send flash signal    */

shutter_close( );          /* STEP 7: begin to close the shutter             */
shift_mode_is( );          /*         shift_image_to_storage left us in      */
                           /*         the wrong shift mode                   */

shift( 32 );               /* STEP 9: discard useless front end of storage   */
pixel_readout( 0,512,1,    /*         output both exposures (in one command) */
                 1024,1 ); /*         (two 512 exposures = 1024 rows)        */

pixel_display( 512,512 );  /* Display the first image                        */
pixel_display( 512,512 );  /* Display the second image                       */
script_end( 0 );
