/* Spectroscopy using factory modified PXL37 camera */

script_begin( );
shutter_open( );
clear_parallel( 2 );    /* this clears both image and storage           */
expose( 1 );            /* compensate for the first exposure time       */

loop_begin( 544 );      /* loop for each spectrum / each row in storage */
  expose( 0 );          /* total exposure time: (0+1.23) milliseconds   */
  shift_mode_s( );      /* shift the storage array only                 */
  shift( 1 );           /* move storage down 1 line, to make way for... */

  shift_mode_s_alt( );  /* custom setting: shift IMAGE ARRAY ONLY       */
  shift( 512 );         /* bin entire image array into top of storage   */
                        /* NOTE: this shift takes 1.23 milliseconds     */
loop_end( );

shutter_close( );                /* done exposing, now readout          */
pixel_readout( 0,512,1,544,1 );  /* read out the entire storage array   */

loop_begin( 544 );
  pixel_display( 512,1 );        /* display data as 512 separate lines  */

loop_end( );
script_end( 0 );

