program CurveFit ;
{ Polynomial curve fitting example }

const
  xMin = -2.0 ;
  xMax = 2.0 ;
  nPts = 10 ;

var
  xData ;
  yData ;
  cData ;
  nData ;
  win ;
  c,y ;

begin

{ generate some data }
xData := MakeLinear( xMin,xMax,nPts ) ;
cData := double( MakeLinear( 3,1,3 ) ) ;
yData := PolyValue( cData,xData ) ;
nData := yData ;

{ add noise }
FillRandom( nData ) ;
yData := yData + nData *2 ;

{ create a plotting window }
win := CreatePlot( 'Polynomial',50,50,550,350 ) ;
Clear( win ) ;
SetPlotStyle( ps_Marker ) ;
PlotXY( win,xData,yData ) ;

{ fit a quadratic to the noisy data }
c := PolyFit( xData,yData,2 ) ;

{ generate the ideal fitted curve }
y := PolyValue( c,MakeLinear( xMin,xMax,10*nPts ) ) ;

{ overplot the data and the curve }
SetPlotStyle( ps_Line ) ;
SetPlotColor( col_Red ) ;
PlotXY( win,MakeLinear( xMin,xMax,10*nPts ),y ) ;
SetGrid( win,gs_Both ) ;

end
