program DoFFT ;
{ Perform an FFT on an image }

{ The original image is zoomed to 256x256 and its shading is removed.
  The FFT is calculated and a yellow palette applied for good visibility
  of spikes. The image display mode is set to log-magnitude. }

const
  Msg  = 'Choose an image to transform' ;
  Size = 256 ;

var
  Image ;

begin
  if SelectImage( Msg,Image ) = id_Ok then begin
    Image := integer( ZoomTo( Image,Size,Size ) ) ;
    Beep ;
    WriteStatus( 'Removing shading...' ) ;
    Image := RemoveShading( Image ) ;
    Beep ;
    WriteStatus( 'Calculating FFT...' ) ;
    Image := FFT( Image ) ;
    SetPalette( Image,pal_Yellow ) ;
    SetDisplayMode( Image,dm_LogMag ) ;
    Maximize( Image ) ;
  end;
end.