program Fields ;
{ Example script showing how to capture separate interlace fields }

{ The field images have half the number of rows so will appear
  short and wide. An alternative approach would be to insert a
  given row twice to make the field images the same size as the
  original image. }

{ In a real application you could also capture the images rapidly
  and use a similar script to post-process them into odd and even. }

const
  xFrame = 512 ;
  yFrame = 512 ;

var
  Image ;
  Odd,Even ;
  nRows ;
  i,j ;

begin
  { capture an image }
  Image := Capture( 0,0,xFrame-1,yFrame-1,false ) ; 

  { create half-height field images }
  nRows := trunc( yFrame / 2 ) ;
  Odd  := CreateImage( Byte,xFrame,nRows ) ;
  Even := CreateImage( Byte,xFrame,nRows ) ;

  { extract odd scan lines }
  WriteStatus( 'Extracting odd field...' ) ;
  j := 0 ;
  for i := 0 to nRows -1 do begin
    PutRow( Odd,GetRow(Image,j),i ) ;
    j := j + 2 ;
  end;

  { extract even scan lines }
  WriteStatus( 'Extracting even field...' ) ;
  j := 1 ;
  for i := 0 to nRows -1 do begin
    PutRow( Even,GetRow(Image,j),i ) ;
    j := j + 2 ;
  end;

  { show field images }
  Show( Odd,'Odd' ) ;
  Show( Even,'Even' ) ;

end.